import { jsx } from "react/jsx-runtime";
import { TokenM87 as TokenM87$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenM87 = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "M87", "data-name": "TokenM87", ...props, children: /* @__PURE__ */ jsx(TokenM87$1, { variant }) });
  }
);
TokenM87.displayName = "TokenM87";
Object.assign(TokenM87, { isGdsIcon: true });
export {
  TokenM87
};
